### Method

# Adw Leaflet set_transition_type

#### Declaration [src]

    void
    adw_leaflet_set_transition_type (
      AdwLeaflet* self,
      AdwLeafletTransitionType transition
    )

#### Description [src]

Sets the type of animation used for transitions between modes and children.

Available since: | 1.0

Sets property | `Adw.Leaflet:transition-type`

#### Parameters

`transition` | `AdwLeafletTransitionType`
| The new transition type.